Class | Amalgalite::ProgressHandler
In: | lib/amalgalite/progress_handler.rb lib/amalgalite/progress_handler.rb
Parent: | Object

A base class for use in creating your own progress handler classes

### Methods

arity arity call call to_proc to_proc

### Public Instance methods

arity()

the arity of the call method

arity()

the arity of the call method

call()

Override this method, returning `false` if the SQLite should act as if +interrupt!+ had been invoked.

call()

Override this method, returning `false` if the SQLite should act as if +interrupt!+ had been invoked.

to_proc()
to_proc()

[Validate]